Update a dictionary
curl --request PATCH \
--url https://api.pineyard.ai/dictionaries/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"terms": [
"<string>"
]
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', description: '<string>', terms: ['<string>']})
};
fetch('https://api.pineyard.ai/dictionaries/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/dictionaries/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"terms": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"name": "<string>",
"description": "<string>",
"terms": [
"<string>"
],
"charCount": 123,
"externalId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}Dictionaries
Update a dictionary
PATCH
/
dictionaries
/
{id}
Update a dictionary
curl --request PATCH \
--url https://api.pineyard.ai/dictionaries/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"terms": [
"<string>"
]
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', description: '<string>', terms: ['<string>']})
};
fetch('https://api.pineyard.ai/dictionaries/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/dictionaries/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"terms": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"name": "<string>",
"description": "<string>",
"terms": [
"<string>"
],
"charCount": 123,
"externalId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}Required scope:
dictionaries.editAuthorizations
Your API key, e.g. pk_live_xxxxxxxxxxxxxxxxxxxxxxxx.
Path Parameters
Body
application/json

